
# htmlFetcher

`htmlFetcher` is a Node.js utility designed for fetching HTML content from the web, highlighting it for readability, and then outputting the highlighted HTML to the console. It leverages the power of other command-line utilities like `pup` for parsing HTML and `pygmentize` for syntax highlighting, offering a seamless way to view and process HTML documents directly from your terminal.

## Features

- **Fetch HTML Content**: Easily fetch HTML content from specified URLs.
- **Highlight HTML**: Utilize syntax highlighting for better readability of HTML content.
- **Command-line Interface**: Directly run and interact with the utility through the command-line interface.

## Version

- **0.1.0**

## License

- This project is licensed under the **MIT License**.

## Prerequisites

Before you start using `htmlFetcher`, ensure you have the following installed:
- Node.js (Visit [Node.js website](https://nodejs.org) for installation instructions)
- `pup` for HTML parsing (Install via `go get` from [here](https://github.com/ericchiang/pup))
- `pygmentize` for syntax highlighting (Install via `pip install Pygments`)

## Installation

1. Clone the repository to your local machine.
```bash
git clone https://gitlab.com/a4to/htmlFetcher.git
```

2. Navigate to the cloned repository directory.
```bash
cd htmlFetcher
```

3. Install the necessary dependencies.
```bash
npm install
```

## Usage

You can run `htmlFetcher` directly as a command-line tool, thanks to the `bin` configuration in `package.json`.

```bash
htmlFetcher https://example.com
```

Alternatively, for development purposes, you can start the script with npm:

```bash
npm start -- https://example.com
```

## Author

- **Connor Etherington**
- Email: connor@concise.cc

## Contributing

Contributions are welcome! If you have a feature request, bug report, or a pull request, please feel free to contribute to the project.
